## org.apache.batik.bridge
Class SVGSVGElementBridge.SVGSVGElementViewport

    java.lang.Object
      org.apache.batik.bridge.SVGSVGElementBridge.SVGSVGElementViewport

All Implemented Interfaces:
  Viewport

Enclosing class:
  SVGSVGElementBridge

    public static class SVGSVGElementBridge.SVGSVGElementViewport

extends java.lang.Object
implements Viewport

A viewport defined an <svg> element.

Constructor Summary
`SVGSVGElementBridge.SVGSVGElementViewport(float w, float h)` Constructs a new viewport with the specified `SVGSVGElement`.

Method Summary
`float` `getHeight()` Returns the height of this viewport.
`float` `getWidth()` Returns the width of this viewport.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGSVGElementBridge.SVGSVGElementViewport

    public SVGSVGElementBridge.SVGSVGElementViewport(float w,
                                                     float h)

  Constructs a new viewport with the specified `SVGSVGElement`.

  Parameters:
    `w` - the width of the viewport
    `h` - the height of the viewport

Method Detail

### getWidth

    public float getWidth()

  Returns the width of this viewport.

  Specified by:
    `getWidth` in interface `Viewport`

### getHeight

    public float getHeight()

  Returns the height of this viewport.

  Specified by:
    `getHeight` in interface `Viewport`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.